
# ArmorController::getSender  - Get sender

### Usage

> ?EmailContact ArmorController::getSender(string $sender, ?UserInterface $user, [ array $data = [] ])

### Description

> If additional senders are available other than 'admin' and 'user', This should return the sender name and e-mail address as a EmailContact object.  Otherwise, return null.

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
sender | Yes | string |
user | Yes | ?UserInterface |
data | No | array |

### Return
> ?EmailContact 
### See Also

* [getAvailableRecipients()](getavailablerecipients)
* [getAvailableSenders()](getavailablesenders)
* [getBcc()](getbcc)
* [getBroadcastIterator()](getbroadcastiterator)
* [getBroadcastRecipient()](getbroadcastrecipient)
* [getCc()](getcc)
* [getConditionFormFields()](getconditionformfields)
* [getMergeFields()](getmergefields)
* [getMergeVars()](getmergevars)
* [getRecipients()](getrecipients)
* [getReplyTo()](getreplyto)


